.spinner {
    width: 3rem;
    height: 3rem;
    border: 0.4rem solid rgba(0, 0, 0, 0.1);
    border-top: 0.4rem solid #007bff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* htmx */
.htmx-indicator {
    display: none;
}
.htmx-request .htmx-indicator {
    display: inline-block;
}
.htmx-request .htmx-indicator-hidden {
    display: none;
}

/* submit atops.js */
.submit-indicator {
    display: none;
}
.submit-request .submit-indicator,
.submit-request ~ .submit-indicator {
    display: inline-block;
}
.submit-request .submit-indicator-hidden {
    display: none;
}
.submit-request  svg {
    display: none;
}

.loading {
    display: none;
}

.submit-request .loading{
    display: block;
}
